import { Flex } from 'antd';
import React from 'react';
import styles from './index.less';
import LightingOperationSituation from './LightingOperationSituation';
import Overview from './Overview';

import LatestWarning from './LatestWarning';
import OperationCondition from './OperationCondition';
import PipeMap from './PipeMap';
import SensingDevice from './SensingDevice';

/** @name 城市照明 */
const UrbanLighting: React.FC = () => {
  return (
    <Flex className={styles.container} gap={20}>
      <Flex vertical gap={20}>
        <Overview />
        <LightingOperationSituation />
      </Flex>
      <PipeMap></PipeMap>
      <Flex vertical gap={20}>
        <SensingDevice></SensingDevice>
        <OperationCondition></OperationCondition>
        <LatestWarning></LatestWarning>
      </Flex>
    </Flex>
  );
};

export default UrbanLighting;
